# Racc Command Reference

racc [-ofilename] [--output-file=filename] [-erubypath] [--embedded=rubypath] [-v] [--verbose] [-Ofilename] [--log-file=filename] [-g] [--debug] [-E] [--embedded] [-l] [--no-line-convert] [-c] [--line-convert-all] [-a] [--no-omit-actions] [-C] [--check-only] [-S] [--output-status] [--version] [--copyright] [--help] grammarfile

filename
  Racc grammar file. Any extention is permitted.
-ooutfile, --output-file=outfile
  A filename for output. default is <filename>.tab.rb
-Ofilename, --log-file=filename
  Place logging output in file filename. Default log file name is filename.output.
-erubypath, --executable=rubypath
  output executable file(mode 755). path is a path of ruby interpreter.
-v, --verbose
  verbose mode. create <filename>.output file, like yacc's y.output file.
-g, --debug
  add debug code to parser class. To display debuggin information, use this '-g' option and set @yydebug true in parser class.
-E, --embedded
  Output parser which doesn't need runtime files (racc/parser.rb).
-C, --check-only
  Check syntax of racc grammer file and quit.
-S, --output-status
  Print messages time to time while compiling.
-l, --no-line-convert
  turns off line number converting.
-c, --line-convert-all
  Convert line number of actions, inner, header and footer.
-a, --no-omit-actions
  Call all actions, even if an action is empty.
--version
  print Racc version and quit.
--copyright
  Print copyright and quit.
--help
  Print usage and quit.